Plesk upgrade fails with: ERROR while trying to store driver library path for APS controller db connection

Created:

2016-11-16 12:57:02 UTC

Modified:

2017-08-16 17:19:08 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Plesk upgrade fails with: ERROR while trying to store driver library path for APS controller db connection

Applicable to:

  • Plesk 11.x for Linux

Symptoms

Plesk upgrade to 11.5 or "bootstrapper.sh repair" command fails with error:

    /usr/local/psa/bootstrapper/pp11.5.30-bootstrapper/bootstrapper.sh repair

ERROR while trying to store driver library path for APS controller db connection

Cause

Failed Plesk upgrade, issue with creation of APSC database.

Resolution

  1. If you get this error from command "bootstrapper.sh repair", check log /tmp/plesk_11.5.30_repair.log. You will get more details information about the error.

  2. If you get errors in plesk_11.5.30_repair.log as below:

    Trying to set up APS controller database... ERROR 1007 (HY000) at line 1: Can't create database 'apsc'; database exists
    .................
    ERROR 1396 (HY000) at line 1: Operation CREATE USER failed for 'apsc'@'localhost'

It means system tries to create ASPC database, but it is already created or created partially during upgrade.

  1. Create dump of Mysql, APSC databases as below:

    mysqldump -uadmin -p` cat /etc/psa/.psa.shadow ` apsc > /tmp/apsc.`date +%F`
    mysqldump -uadmin -p` cat /etc/psa/.psa.shadow ` mysql > /tmp/mysql.`date +%F`
  2. Delete 'aspc' user and drop 'APSC' database from Mysql server with commands below:

    mysql> drop database apsc;
    mysql> delete from mysql.user where user='apsc';
  3. Launch bootstrapper.sh script again:

    /usr/local/psa/bootstrapper/pp11.5.30-bootstrapper/bootstrapper.sh repair
Have more questions? Submit a request
Please sign in to leave a comment.